10 SIZE = 60
20 GOTO 40
30 CLS : RETURN: REM This is screen clear subroutine.  If program bombs on this line, see MORTCOST.DOC to correct this line for your computer.
40 GOSUB 30
50 COLOR 14, 0: REM If program bombs on this line, it can be removed.
60 PRINT "M O R T C O S T                                                version 4.0": DIM LO(SIZE)
70 PRINT "                . . . a mortgage cost analysis tool."
80 PRINT
90 PRINT "Gives you a fighting chance against the banks, by computing the real cost of"
100 PRINT "both simple and complex mortgage plans.  It even accounts for the effects of"
110 PRINT "tax deductions and inflation, important factors which are overlooked by other": DIM PO(SIZE), TEMP(SIZE)
120 PRINT "mortgage analysis computer programs.  MORTCOST will also show you if you can"
125 PRINT "save money by refinancing an existing mortgage when interest rates drop."
130 PRINT
140 PRINT "MORTCOST is user supported software (shareware).  We depend on voluntary"
150 PRINT "payments by satisfied users such as youself to keep our business operating."
170 PRINT
180 PRINT "We appreciate any payment made.  If your payment is $15.00 or more, you will"
190 PRINT "receive a compiled, advanced program called EASY MORTCOST, that simplifies"
200 PRINT "the loan comparison analysis.  Full details on EASY MORTCOST, instructions"
210 PRINT "for use of regular MORTCOST, and commercial use restrictions can be found in"
220 PRINT "the file MORTCOST.DOC, which accompanies this program."
225 PRINT
230 PRINT "Please send shareware payment to:       Quinn Software"
240 PRINT "(Thank you for your support).           700 Fairoaks Road, RR #4"
250 PRINT "                                        Metamora, IL  61548"
260 PRINT
270 PRINT "Copyright 1986-1990 by Joann and Terry Quinn.  Hit `G' to start program."
290 F$ = INKEY$: IF F$ = "G" OR F$ = "g" THEN 300 ELSE 290
300 GOSUB 30
305 GOSUB 7950
310 PRINT "MORTCOST calculates the net cost of a mortgage loan plan, taking into"
320 PRINT "consideration fees, points, loan interest, income tax benefits, and "
330 PRINT "inflation.  It then summarizes the results, and sends the output to your"
340 PRINT "terminal or printer.  By running this calculation for each mortgage plan you"
350 PRINT "are considering, you can directly compare the true cost of the loans."
360 PRINT
370 PRINT "By following certain steps, MORTCOST can also help you make decisions about"
380 PRINT "whether or not to refinance an existing mortgage.  Additional information and"
390 PRINT "tips for correct use of the program are contained in the file MORTCOST.DOC."
400 PRINT
410 PRINT "The next screen will begin prompting you for information about the first loan"
420 PRINT "that you want to analyze.  Typing the letter H followed by the ENTER key"
430 PRINT "or a carriage return <cr> will display additional online help."
440 PRINT
450 PRINT "If you think that you made an error when entering data, continue on, since"
460 PRINT "you will be given an opportunity to review and correct your inputs before"
470 PRINT "the calculations are actually run."
480 PRINT
490 GOSUB 6560
500 B = 0
510 DIM TA(SIZE), DI(SIZE), IN(SIZE), PR(SIZE), ZP(SIZE), PA(SIZE), P2(SIZE), Z4(SIZE)
520 DIM CY(SIZE), IL(SIZE), X1(SIZE), X2(SIZE), X3(SIZE), X4(SIZE), ZL(SIZE), ZT(SIZE), TX(SIZE), PP(SIZE), CO(SIZE)
550 GOSUB 7950
560 INPUT "ENTER LENGTH OF LOAN IN YEARS (or H for help)   ", KYEARS$
570 IF KYEARS$ = CHR$(72) OR KYEARS$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 6610:  ELSE GOTO 590
580 GOSUB 30: GOSUB 7950: GOTO 560
590 KYEARS = VAL(KYEARS$)
600 IF INT(KYEARS) <> KYEARS OR KYEARS <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER . . . RETRY": GOTO 560
610 IF KYEARS > SIZE THEN PRINT "MAXIMUM ENTRY ="; SIZE; "    RE-ENTER": GOTO 560
620 KXYEARS = KYEARS + 1
630 IF B <> 0 THEN 2770
670 GOSUB 30
680 GOSUB 7950
690 INPUT "ENTER LOAN PRINCIPAL (or H for help)    $", PR$
700 IF PR$ = CHR$(72) OR PR$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 6680:  ELSE GOTO 720
710 GOSUB 30: GOSUB 7950: GOTO 690
720 PR(0) = VAL(PR$)
730 IF B <> 0 THEN 2770
740 GOSUB 30
780 FOR J = 0 TO SIZE
790 LO(J) = 1000000!
800 NEXT J
810 GOSUB 7950
820 PRINT "ENTER LOAN INTEREST RATE FOR FIRST YEAR OF LOAN (or H for help)"
830 INPUT "(For example, 11.5% would be entered as 11.5)  Enter here--> ", LO1$
840 IF LO1$ = CHR$(72) OR LO1$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 6730: GOSUB 6760: GOSUB 6560:  ELSE GOTO 860
850 GOSUB 7950: GOTO 820
860 LO(1) = VAL(LO1$)
870 GOSUB 30
880 GOSUB 7950
890 PRINT "ENTER VARIABLE INTEREST RATE SCHEDULE, GIVING YEAR NUMBER, THEN RATE"
900 PRINT
910 PRINT "Enter Q at YEAR prompt for fixed rate loans or when finished entering the rate"
920 PRINT "schedule.  Enter H at the `YEAR' prompt for additional help."
930 PRINT
940 INPUT "YEAR--> ", K$
950 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 6790: GOSUB 7020: GOSUB 6560: GOSUB 7950: GOTO 890
960 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 1030
970 K = VAL(K$)
980 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 940
990 IF K > SIZE THEN PRINT "MAXIMUM ENTRY ="; SIZE; "    RE-ENTER": GOTO 940
1000 INPUT "INTEREST RATE--> ", LO(K)
1010 GOTO 940
1020 PRINT
1030 J = 2
1040 IF LO(J) = 1000000! THEN LO(J) = LO(J - 1)
1050 IF J = SIZE THEN 1080
1060 J = J + 1
1070 GOTO 1040
1080 IF B <> 0 THEN 2770
1090 GOSUB 30
1130 FOR J = 0 TO SIZE
1140 TA(J) = 1000000!
1150 NEXT J
1160 GOSUB 7950
1170 PRINT "ENTER YOUR CURRENT INCOME TAX BRACKET PERCENTAGE (example: 28% --> 28 )"
1180 PRINT
1190 INPUT "Enter Q to quit if you don't want tax calculations (H for help) --> ", K$
1200 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7150: GOSUB 7160: GOSUB 7190: GOSUB 7230: GOSUB 6560: GOSUB 7950: GOTO 1170:  ELSE GOTO 1210
1210 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN TA(1) = 0: GOTO 1370
1220 TA(1) = VAL(K$)
1230 IF TA(1) < 1 AND TA(1) <> 0 THEN PRINT : PRINT "RE-ENTER AS NON-DECIMAL": GOTO 1170
1240 GOSUB 7950
1250 PRINT "IF YOU THINK YOUR TAX BRACKET WILL CHANGE IN THE FUTURE, ENTER THE YEAR"
1260 PRINT "IT WILL CHANGE AND NEW BRACKET.  Enter Q for YEAR when finished, H for help."
1270 PRINT
1280 INPUT "YEAR--> ", K$
1290 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7150: GOSUB 7190: GOSUB 6980: GOSUB 7260: GOSUB 6560: GOTO 1240:  ELSE GOTO 1300
1300 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 1370
1310 K = VAL(K$)
1320 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 1280
1330 IF K > SIZE THEN PRINT "MAXIMUM VALUE =    "; SIZE; "RE-ENTER": GOTO 1280
1340 INPUT "TAX BRACKET--> ", TA(K)
1350 IF TA(K) < 1 AND TA(K) <> 0 THEN PRINT "RE-ENTER AS NON-DECIMAL": GOTO 1340
1360 GOTO 1280
1370 PRINT
1380 J = 2
1390 IF TA(J) = 1000000! THEN TA(J) = TA(J - 1)
1400 IF J = SIZE THEN 1430
1410 J = J + 1
1420 GOTO 1390
1430 IF B <> 0 THEN 2770
1440 GOSUB 30
1480 FOR J = 0 TO SIZE
1490 PO(J) = 0
1500 NEXT J
1510 GOSUB 7950
1520 PRINT "ORIGINATION LOAN POINTS"
1530 PRINT
1540 PRINT "    ENTER YEAR NO. & THE INTEREST 'POINTS' FOR THAT YEAR."
1550 PRINT
1560 PRINT "Enter Q at YEAR prompt to skip this section or when finished entering data."
1570 PRINT "Enter H at YEAR prompt for additional help"
1580 PRINT
1590 INPUT "YEAR--> ", K$
1600 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7330: GOSUB 7370: GOSUB 6560: GOTO 1510:  ELSE GOTO 1610
1610 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 1670
1620 K = VAL(K$)
1630 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 1590
1640 IF K > SIZE THEN PRINT "MAXIMUM VALUE =    "; SIZE; "RE-ENTER": GOTO 1590
1650 INPUT "POINTS--> ", PO(K)
1660 GOTO 1590
1670 IF B <> 0 THEN 2770
1680 GOSUB 30
1720 FOR J = 0 TO SIZE
1730 P2(J) = 0
1740 NEXT J
1750 GOSUB 7950
1760 PRINT "REFINANCE LOAN POINTS"
1770 PRINT
1780 PRINT "    ENTER YEAR NO. & THE INTEREST 'POINTS' FOR THAT YEAR."
1790 PRINT
1800 PRINT "Enter Q at YEAR prompt to skip this section or when finished entering data."
1810 PRINT "Enter H at YEAR prompt for additional help"
1820 PRINT
1830 INPUT "YEAR--> ", K$
1840 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7470: GOSUB 7370: GOSUB 6560: GOSUB 7950: GOTO 1760:  ELSE GOTO 1850
1850 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 1910
1860 K = VAL(K$)
1870 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 1830
1880 IF K > SIZE THEN PRINT "MAXIMUM VALUE =    "; SIZE; "RE-ENTER": GOTO 1830
1890 INPUT "POINTS--> ", P2(K)
1900 GOTO 1830
1910 IF B <> 0 THEN 2770
1920 GOSUB 30
1960 FOR J = 0 TO SIZE
1970 DI(J) = 0
1980 NEXT J
1990 GOSUB 7950
2000 PRINT "DIRECT COSTS"
2010 PRINT
2020 PRINT "    ENTER YEAR NO. & NON-DEDUCTIBLE EXPENSES OF LOAN IN DOLLARS"
2030 PRINT "    THAT ARE PAID IN THAT YEAR."
2040 PRINT
2050 PRINT "Enter Q at YEAR prompt to skip this section or when finished entering data."
2060 PRINT "Enter H at YEAR prompt for additional help"
2070 PRINT
2080 INPUT "YEAR--> ", K$
2090 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7530: GOSUB 6560: GOTO 1990:  ELSE GOTO 2100
2100 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 2160
2110 K = VAL(K$)
2120 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 2080
2130 IF K > SIZE THEN PRINT "MAXIMUM VALUE =    "; SIZE; "RE-ENTER": GOTO 2080
2140 INPUT "DIRECT LOAN COSTS-->  $", DI(K)
2150 GOTO 2080
2160 IF B <> 0 THEN 2770
2170 GOSUB 30
2210 FOR J = 0 TO SIZE
2220 IN(J) = 1000000!
2230 NEXT J
2240 GOSUB 7950
2250 PRINT "ENTER YOUR ESTIMATE OF THE CURRENT INFLATION RATE TO CALCULATE"
2260 PRINT "THE COST OF THE LOAN IN TODAY'S DOLLARS."
2270 PRINT "(Example:  5.5% inflation is entered as 5.5 )"
2272 PRINT
2274 PRINT "Enter Q at YEAR prompt to skip this section or when finished entering data."
2276 PRINT "Enter H at YEAR prompt for additional help"
2288 PRINT
2290 INPUT "ENTER INFLATION ESTIMATE--> ", K$
2300 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7670: GOSUB 6560: GOTO 2240:  ELSE GOTO 2310
2310 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN IN(1) = 0: GOTO 2460
2320 IN(1) = VAL(K$)
2330 GOSUB 7950
2340 PRINT "IF YOU THINK INFLATION WILL CHANGE IN A FUTURE YEAR(S)"
2350 PRINT "ENTER THE YEAR AND THE NEW INFLATION RATE."
2360 PRINT "Enter Q for year when finished, H at YEAR prompt for help."
2370 PRINT
2380 INPUT "YEAR--> ", K$
2390 IF K$ = CHR$(72) OR K$ = CHR$(104) THEN GOSUB 30: GOSUB 7950: GOSUB 7670: GOSUB 6980: GOSUB 7720: GOSUB 6560: GOTO 2330:  ELSE GOTO 2400
2400 IF K$ = CHR$(81) OR K$ = CHR$(113) THEN 2460
2410 K = VAL(K$)
2420 IF INT(K) <> K OR K <= 0 THEN PRINT "YEAR MUST BE A POSITIVE WHOLE NUMBER, TRY AGAIN": GOTO 2380
2430 IF K > SIZE THEN PRINT "MAXIMUM VALUE =    "; SIZE; "RE-ENTER": GOTO 2380
2440 INPUT "INFLATION RATE--> ", IN(K)
2450 GOTO 2380
2460 PRINT
2470 PRINT
2480 J = 2
2490 IF IN(J) = 1000000! THEN IN(J) = IN(J - 1)
2500 IF J = SIZE THEN 2530
2510 J = J + 1
2520 GOTO 2490
2530 IF B <> 0 THEN 2770
2540 PRINT
2550 PRINT
2560 PRINT "STANDBY"
2580 B1$ = "###"
2590 B3$ = "    ##.##"
2600 B5$ = "  ##.###"
2610 B6$ = " ##.## "
2620 B7$ = "$$###,###.##"
2630 B8$ = "$$#,###.##"
2640 B9$ = "$$###,###,###.##"
2650 C3$ = "$$##,###,###.##"
2660 C4$ = "$$#,###,###.## "
2670 C6$ = "  $$###,###,###.## "
2680 C7$ = "$$#,###,###.##"
2690 D3$ = "  $$##,###,###.##"
2700 D4$ = "    $$##,###,###.##"
2710 E1$ = "      $$##,###,###.##"
2720 F3$ = "$$##,###,###"
2730 F4$ = "$$##,###,### "
2740 F5$ = "##"
2770 ON ERROR GOTO 0: ITEST = 0
2780 B = 1
2800 GOSUB 30
2810 PRINT "TYPE NUMBER TO DISPLAY CURRENT INPUTS           H for HELP"
2820 PRINT
2830 PRINT "1  AMORTIZATION PERIOD (LENGTH) OF LOAN"
2840 PRINT "2  PRINCIPAL AMOUNT"
2850 PRINT "3  INTEREST RATE"
2860 PRINT "4  TAX BRACKET SCHEDULE"
2870 PRINT "5  LOAN POINTS DEDUCTIBLE IN FIRST YEAR (New Loan)"
2880 PRINT "6  LOAN POINTS TO BE DEDUCTED OVER LENGTH OF LOAN (Refinance)"
2890 PRINT "7  DIRECT COSTS (non-deductible)"
2900 PRINT "8  INFLATION RATE ESTIMATE"
2910 PRINT
2920 PRINT "C  TO CHANGE ANY OF THE INPUTS"
2930 PRINT
2940 PRINT "M  COMPUTE RESULTS AND SEND OUTPUT TO MONITOR"
2950 PRINT "P  COMPUTE RESULTS AND SEND OUTPUT TO PRINTER"
2960 PRINT
2970 PRINT "X  EXIT PROGRAM AND RETURN TO OPERATING SYSTEM"
2980 PRINT
2990 PRINT
3000 PRINT "ENTER SELECTION (Your choice)"
3010 PRINT
3020 K$ = INKEY$
3030 IF K$ = "1" THEN 3310
3040 IF K$ = "2" THEN 3390
3050 IF K$ = "3" THEN 3480
3060 IF K$ = "4" THEN 3590
3070 IF K$ = "5" THEN 3700
3080 IF K$ = "6" THEN 3810
3090 IF K$ = "7" THEN 3920
3100 IF K$ = "8" THEN 4030
3110 IF K$ = "P" OR K$ = "p" THEN 4450
3120 IF K$ = "M" OR K$ = "m" THEN ITEST = 1: GOTO 4450
3130 IF K$ = "X" OR K$ = "x" THEN 6470
3140 IF K$ = "C" OR K$ = "c" THEN 3170
3150 IF K$ = "H" OR K$ = "h" THEN GOSUB 30: GOSUB 7790: GOSUB 6560: GOTO 2800
3160 GOTO 3020
3170 PRINT
3180 PRINT "ENTER NUMBER OF DESIRED INPUT TO CHANGE (1-8)"
3190 PRINT "(Hit escape key to return to menu)"
3200 K$ = INKEY$
3210 IF K$ = "1" THEN GOSUB 30: GOTO 550
3220 IF K$ = "2" THEN 670
3230 IF K$ = "3" THEN 740
3240 IF K$ = "4" THEN 1090
3250 IF K$ = "5" THEN 1440
3260 IF K$ = "6" THEN 1680
3270 IF K$ = "7" THEN 1920
3280 IF K$ = "8" THEN 2170
3290 IF K$ = CHR$(27) THEN 2800
3300 GOTO 3200
3310 GOSUB 30
3330 GOSUB 7950
3340 PRINT "THE CURRENT VALUE FOR THE AMORTIZATION PERIOD IS "; KYEARS; " YEARS."
3350 GOSUB 7950
3360 PRINT "HIT ANY KEY TO CONTINUE"
3370 K$ = INKEY$: IF LEN(K$) = 0 THEN 3370
3380 GOTO 2800
3390 GOSUB 30
3400 GOSUB 7950
3410 PRINT "LOAN PRINCIPAL AMOUNT EQUALS $"; PR(0)
3420 GOSUB 7950
3430 PRINT "HIT ANY KEY TO CONTINUE"
3440 K$ = INKEY$: IF LEN(K$) = 0 THEN 3440
3450 GOTO 2800
3480 BS = 14
3490 F2$ = "##.###       "
3500 GOSUB 30
3510 PRINT "LOAN INTEREST RATE SCHEDULE"
3520 PRINT
3530 FOR I = 1 TO SIZE
3540 TEMP(I) = LO(I)
3550 NEXT I
3560 GOSUB 4160
3570 GOTO 2800
3590 F2$ = "##.#         "
3600 GOSUB 30
3610 BS = 12
3620 PRINT "TAX BRACKET SCHEDULE"
3630 PRINT
3640 FOR I = 1 TO SIZE
3650 TEMP(I) = TA(I)
3660 NEXT I
3670 GOSUB 4160
3680 GOTO 2800
3700 F2$ = "##.##        "
3710 BS = 13
3720 GOSUB 30
3730 PRINT "POINTS THAT ARE DEDUCTIBLE IN FIRST YEAR OF LOAN"
3740 PRINT
3750 FOR I = 1 TO SIZE
3760 TEMP(I) = PO(I)
3770 NEXT I
3780 GOSUB 4160
3790 GOTO 2800
3810 F2$ = "##.##        "
3820 BS = 13
3830 GOSUB 30
3840 PRINT "POINTS THAT MUST BE DEDUCTED OVER LENGTH OF LOAN"
3850 PRINT
3860 FOR I = 1 TO SIZE
3870 TEMP(I) = P2(I)
3880 NEXT I
3890 GOSUB 4160
3900 GOTO 2800
3920 F2$ = "#####        "
3930 GOSUB 30
3940 BS = 13
3950 PRINT "LOAN DIRECT COSTS"
3960 PRINT
3970 FOR I = 1 TO SIZE
3980 TEMP(I) = DI(I)
3990 NEXT I
4000 GOSUB 4160
4010 GOTO 2800
4030 F2$ = "##.##        "
4040 BS = 13
4050 GOSUB 30
4060 PRINT "INFLATION RATE SCHEDULE"
4070 PRINT
4080 FOR I = 1 TO SIZE
4090 TEMP(I) = IN(I)
4100 NEXT I
4110 GOSUB 4160
4120 GOTO 2800
4130 STOP
4160 PRINT "YEAR    VALUE        YEAR    VALUE        YEAR    VALUE"
4170 JSUB = 1
4180 F1$ = " ##     "
4190 IF KYEARS <= 20 THEN 4220
4200 IF KYEARS <= 40 THEN 4270
4210 GOTO 4330
4220 PRINT USING F1$; JSUB; : PRINT USING F2$; TEMP(JSUB)
4230 IF JSUB = KYEARS THEN 4390
4240 IF JSUB = 20 THEN 4390
4250 JSUB = JSUB + 1
4260 GOTO 4220
4270 PRINT USING F1$; JSUB; : PRINT USING F2$; TEMP(JSUB); : PRINT USING F1$; JSUB + 20; : PRINT USING F2$; TEMP(JSUB + 20)
4280 IF JSUB + 20 = KYEARS THEN 4290 ELSE 4300
4290 IF KYEARS = 40 THEN 4390 ELSE JSUB = JSUB + 1: GOTO 4220
4300 IF JSUB + 20 = 40 THEN 4390
4310 JSUB = JSUB + 1
4320 GOTO 4270
4330 PRINT USING F1$; JSUB; : PRINT USING F2$; TEMP(JSUB); : PRINT USING F1$; JSUB + 20; : PRINT USING F2$; TEMP(JSUB + 20); : PRINT USING F1$; JSUB + 40; : PRINT USING F2$; TEMP(JSUB + 40)
4340 IF JSUB + 40 = KYEARS THEN 4350 ELSE 4360
4350 IF KYEARS = 60 THEN 4390 ELSE JSUB = JSUB + 1: GOTO 4270
4360 IF JSUB + 40 = INT(SIZE) THEN 4390
4370 JSUB = JSUB + 1
4380 GOTO 4330
4390 PRINT "HIT ANY KEY TO CONTINUE";
4400 K$ = INKEY$: IF LEN(K$) = 0 THEN 4400
4410 RETURN
4450 PRINT
4460 PRINT
4470 IF ITEST = 1 THEN 4510
4480 PRINT "ENTER OPTIONAL TITLE (1 line)"
4490 PRINT
4500 LINE INPUT A$
4510 PRINT
4520 PRINT "PLEASE WAIT"
4530 J = 1
4540 X1(0) = 0: X2(0) = 0: X3(0) = 0: X4(0) = 0: Z2 = 0
4550 NPERIODS = KYEARS * 12
4570 PA(J) = (PR(J - 1) * ((LO(J)) / 1200)) / (1 - ((1 + (LO(J) / 1200)) ^ (-NPERIODS)))
4590 PR(J) = (1 / ((1 + (LO(J) / 1200)) ^ (-12))) * ((PA(J)) * ((((1 + (LO(J) / 1200)) ^ (-12)) - 1) / (LO(J) / 1200)) + (PR(J - 1)))
4610 PP(J) = PR(J - 1) - PR(J)
4630 ZL(J) = (PA(J) * 12) - PP(J)
4650 ZP(J) = PR(J - 1) * ((PO(J) + P2(J)) / 100)
4670 Z3 = Z2 + (P2(J) / (100 * (KYEARS - (J - 1)))) * (PR(J - 1))
4690 Z4(J) = Z3 + PR(J - 1) * ((PO(J)) / 100)
4700 Z2 = Z3
4720 ZT(J) = ZP(J) + ZL(J)
4740 TX(J) = (Z4(J) + ZL(J)) * ((TA(J)) / 100)
4760 CU = ZT(J) - TX(J) + DI(J)
4780 CO(J) = ZT(J) - TX(J) + PP(J) + DI(J)
4800 IL(0) = 1
4810 IL(J) = IL(J - 1) * (1 + ((IN(J)) / 100))
4820 X1(J) = X1(J - 1) + CO(J)
4830 CY(J) = (CO(J)) / IL(J)
4840 X2(J) = X2(J - 1) + CY(J)
4850 X3(J) = X3(J - 1) + CU
4860 CV = (CU) / IL(J)
4870 X4(J) = X4(J - 1) + CV
4880 J = J + 1
4890 IF J = KXYEARS THEN 4970
4900 IF LO(J) = LO(J - 1) THEN 4920
4910 GOTO 4940
4920 PA(J) = PA(J - 1)
4930 GOTO 4590
4940 NPERIODS = (KYEARS - (J - 1)) * 12
4950 GOTO 4570
4970 IF ITEST = 1 THEN 5720
4982 ON ERROR GOTO 8000
4990 PRINT "YOU SHOULD BE GETTING OUTPUT NOW"
5000 LPRINT "MORTCOST     version 3.5          "
5010 LPRINT
5020 LPRINT A$
5030 LPRINT
5050 LPRINT "ABBREVIATIONS                                 LOAN AMOUNT  "; : LPRINT USING B9$; PR(0)
5060 LPRINT "FEY = FOR ENTIRE YEAR"; : LPRINT "    "
5070 LPRINT "SOY = AT START OF YEAR"
5080 LPRINT "EOY = AT END OF YEAR"
5090 LPRINT
5100 H1 = 0: H2 = 0
5110 LPRINT "YEAR TAX BRKT  INFL  LOAN %   SOY POINTS      $POINTS   $DIRECT    MONTHLY PMT."
5120 LPRINT "        FEY    FEY     FEY   ORIG.  REFIN.        SOY       SOY            FEY"
5130 LPRINT
5140 K = 1
5150 LPRINT USING B1$; K; : LPRINT TAB(8); USING B1$; TA(K); : LPRINT USING B3$; IN(K); : LPRINT USING B5$; LO(K); : LPRINT USING B6$; PO(K); : LPRINT USING B6$; P2(K); : LPRINT USING B7$; ZP(K); : LPRINT USING B8$; DI(K); : LPRINT USING B9$; PA(K)
5160 H1 = H1 + ZP(K)
5170 H2 = H2 + DI(K)
5180 K = K + 1
5190 IF K = KXYEARS THEN 5210
5200 GOTO 5150
5210 LPRINT "-------------------------------------------------------------------------------"
5220 LPRINT TAB(39); USING C3$; H1; : LPRINT USING B8$; H2
5230 H3 = 0: H4 = 0: H5 = 0: H6 = 0
5240 K = 1
5250 LPRINT
5260 LPRINT
5270 LPRINT "YEAR  LOAN INTEREST   DEDUCT. PTS.   TAX DEDUCT.  PRINCIPAL PAID     PRIN. LEFT"
5280 LPRINT "           FEY            FEY             EOY         FEY                 EOY"
5290 LPRINT
5300 H3 = H3 + ZL(K)
5310 H4 = H4 + Z4(K)
5320 H5 = H5 + TX(K)
5330 H6 = H6 + PP(K)
5340 LPRINT USING B1$; K; : LPRINT USING C3$; ZL(K); Z4(K); TX(K); : LPRINT USING C4$; PP(K); : LPRINT USING B9$; PR(K)
5350 K = K + 1
5360 IF K = KXYEARS THEN 5380
5370 GOTO 5300
5380 LPRINT "-------------------------------------------------------------------------------"
5390 LPRINT USING C6$; H3; : LPRINT USING C7$; H4; : LPRINT USING C3$; H5; : LPRINT USING C7$; H6
5400 LPRINT
5410 LPRINT
5420 G3 = 0: G4 = 0
5430 K = 1
5440 LPRINT "YEAR|   ANNUAL LOAN COST    |   CUMULATIVE LOAN COST  |   CUM. COST MINUS "
5450 LPRINT "    | (INCLUDES TAX BENEFIT)|                         |   PRINCIPAL PAYMENTS"
5460 LPRINT "    |             ADJ. FOR  |              ADJ. FOR   |               ADJ. FOR"
5470 LPRINT "    |  NOMINAL   INFLATION  |   NOMINAL   INFLATION   |   NOMINAL    INFLATION"
5480 LPRINT
5490 G3 = G3 + CO(K)
5500 G4 = G4 + CY(K)
5510 LPRINT USING F5$; K; : LPRINT USING F3$; CO(K); : LPRINT USING F4$; CY(K); : LPRINT USING F3$; X1(K); : LPRINT USING F4$; X2(K); : LPRINT USING F4$; X3(K); : LPRINT USING F3$; X4(K)
5520 K = K + 1
5530 IF K = KXYEARS THEN 5550
5540  GOTO 5490
5550 LPRINT "_______________________________________________________________________________"
5560 LPRINT
5570 LPRINT "TOTAL LOAN COST  W/O EFFECTS OF INFLATION ="; : LPRINT USING B9$; G3
5580 LPRINT "TOTAL LOAN COST WITH EFFECTS OF INFLATION ="; : LPRINT USING B9$; G4
5590 FOR J6 = 1 TO 10
5600 LPRINT
5610 NEXT J6
5620 GOTO 2770
5720 ITEST = 0
5730 GOSUB 30
5740 PRINT CHR$(7)
5750 PRINT "OUTPUT READY.  HIT ANY KEY TO START OR STOP DISPLAY."
5760 K$ = INKEY$: IF LEN(K$) = 0 THEN 5760 ELSE 5790
5770 K$ = INKEY$: IF LEN(K$) = 0 THEN RETURN:  ELSE 5780
5780 F$ = INKEY$: IF LEN(F$) = 0 THEN 5780 ELSE RETURN
5790 GOSUB 30
5800 PRINT "MORTCOST     version 3.5"
5810 PRINT
5840 PRINT "ABBREVIATIONS                                 LOAN AMOUNT  "; : PRINT USING B9$; PR(0)
5850 PRINT "FEY = FOR ENTIRE YEAR"
5860 PRINT "SOY = AT START OF YEAR"
5870 PRINT "EOY = AT END OF YEAR"
5880 PRINT
5890 H1 = 0: H2 = 0
5900 PRINT "YEAR TAX BRKT  INFL  LOAN %   SOY POINTS      $POINTS   $DIRECT    MONTHLY PMT."
5910 PRINT "        FEY    FEY     FEY   ORIG.  REFIN.        SOY       SOY            FEY"
5920 PRINT
5930 K = 1
5940 PRINT USING B1$; K; : PRINT TAB(8); USING B1$; TA(K); : PRINT USING B3$; IN(K); : PRINT USING B5$; LO(K); : PRINT USING B6$; PO(K); : PRINT USING B6$; P2(K); : PRINT USING B7$; ZP(K); : PRINT USING B8$; DI(K); : PRINT USING B9$; PA(K)
5950 GOSUB 5770
5960 H1 = H1 + ZP(K)
5970 H2 = H2 + DI(K)
5980 K = K + 1
5990 IF K = KXYEARS THEN 6010
6000 GOTO 5940
6010 PRINT "-------------------------------------------------------------------------------"
6020 PRINT TAB(39); USING C3$; H1; : PRINT USING B8$; H2
6030 H3 = 0: H4 = 0: H5 = 0: H6 = 0
6040 K = 1
6050 PRINT
6060 PRINT
6070 PRINT "YEAR  LOAN INTEREST   DEDUCT. PTS.   TAX DEDUCT.  PRINCIPAL PAID     PRIN. LEFT"
6080 PRINT "           FEY            FEY             EOY         FEY                 EOY"
6090 PRINT
6100 H3 = H3 + ZL(K)
6110 H4 = H4 + Z4(K)
6120 H5 = H5 + TX(K)
6130 H6 = H6 + PP(K)
6140 PRINT USING B1$; K; : PRINT USING C3$; ZL(K); Z4(K); TX(K); : PRINT USING C4$; PP(K); : PRINT USING B9$; PR(K)
6150 GOSUB 5770
6160 K = K + 1
6170 IF K = KXYEARS THEN 6190
6180 GOTO 6100
6190 PRINT "-------------------------------------------------------------------------------"
6200 PRINT USING C6$; H3; : PRINT USING C7$; H4; : PRINT USING C3$; H5; : PRINT USING C7$; H6
6210 PRINT
6220 PRINT
6230 G3 = 0: G4 = 0
6240 K = 1
6250 PRINT "YEAR|   ANNUAL LOAN COST    |   CUMULATIVE LOAN COST  |   CUM. COST MINUS "
6260 PRINT "    | (INCLUDES TAX BENEFIT)|                         |   PRINCIPAL PAYMENTS"
6270 PRINT "    |             ADJ. FOR  |              ADJ. FOR   |               ADJ. FOR"
6280 PRINT "    |  NOMINAL   INFLATION  |   NOMINAL   INFLATION   |   NOMINAL    INFLATION"
6290 PRINT
6300 G3 = G3 + CO(K)
6310 G4 = G4 + CY(K)
6320 PRINT USING F5$; K; : PRINT USING F3$; CO(K); : PRINT USING F4$; CY(K); : PRINT USING F3$; X1(K); : PRINT USING F4$; X2(K); : PRINT USING F4$; X3(K); : PRINT USING F3$; X4(K)
6330 K = K + 1
6340 GOSUB 5770
6350 IF K = KXYEARS THEN 6370
6360 GOTO 6300
6370 PRINT "_______________________________________________________________________________"
6380 PRINT
6390 PRINT "TOTAL LOAN COST  W/O EFFECTS OF INFLATION ="; : PRINT USING B9$; G3
6400 PRINT "TOTAL LOAN COST WITH EFFECTS OF INFLATION ="; : PRINT USING B9$; G4
6410 PRINT
6420 PRINT "HIT SPACEBAR TO CONTINUE"
6430 K$ = INKEY$: IF LEN(K$) = 0 THEN 6430
6440 IF ASC(K$) <> 32 THEN 6430
6450 GOTO 2770
6470 PRINT
6480 PRINT
6490 PRINT "***CAUTION***"
6500 PRINT
6510 PRINT "ARE YOU SURE THAT YOU WANT TO EXIT PROGRAM? (Y/N)"
6520 K$ = INKEY$: IF K$ = "Y" OR K$ = "y" THEN 6550
6530 IF K$ = "N" OR K$ = "n" THEN 2770
6540 GOTO 6520
6550 SYSTEM
6560 PRINT 
6570 PRINT "Hit any key to continue . . ."
6580 K$ = INKEY$: IF LEN(K$) = 0 THEN 6580
6590 GOSUB 30:
6600 RETURN
6610 PRINT "LENGTH OF LOAN HELP"
6620 PRINT
6630 PRINT "This is simply the total number of years over which you are financing the"
6640 PRINT "property.  It is sometimes referred to as the loan period or amortization"
6650 PRINT "period.  "
6660 PRINT
6670 PRINT "For example, for a 30 year mortgage, just enter the number 30.": GOSUB 6560: RETURN
6680 PRINT "LOAN PRINCIPAL HELP"
6690 PRINT
6700 PRINT "The loan principal is the amount being financed at the start of the loan."
6710 PRINT
6720 PRINT "For example, if you are borrowing $60,000, enter the number 60000.": GOSUB 6560: RETURN
6730 PRINT "LOAN INTEREST RATE"
6740 PRINT
6750 PRINT "Enter the loan interest rate that you will be charged at the start of the loan.": RETURN
6760 PRINT "Interest rates are input as a percentage, not as a decimal amount."
6770 PRINT
6780 PRINT "For example, if the loan interest rate is 11.5%, enter the number 11.5": RETURN
6790 PRINT "VARIABLE INTEREST RATE SCHEDULE HELP"
6800 PRINT
6810 PRINT "If you are analyzing a `fixed rate' mortgage, where the interest rate does not"
6820 PRINT "change over the life of the loan, the program will fill in the rate for the"
6830 PRINT "remaining years.  You should therefore enter `Q' when prompted for YEAR,"
6840 PRINT "to (Q)uit to the next input."
6850 PRINT
6860 PRINT "MORTCOST permits you to input different interest rates for different years,"
6870 PRINT "allowing you to analyze the effects of one type of variable interest rate"
6880 PRINT "loan.  The loans are sometimes referred to as adjustable rate mortgages (ARMs)."
6890 PRINT "Check MORTCOST.DOC to verify if the loan that you wish to examine is the type"
6900 PRINT "calculated by MORTCOST."
6910 PRINT
6920 PRINT
6930 PRINT "(Interest rate help continued on next screen)"
6940 GOSUB 6560
6950 PRINT
6960 PRINT "MORTCOST assumes that the first year of the loan is `YEAR 1'.  A 30 year loan"
6970 PRINT "would then run to `YEAR 30'.  Calender years like 1989 are not used."
6980 PRINT
6990 PRINT "To enter values that change during the course of the loan, only enter the year"
7000 PRINT "when the change starts.  MORTCOST will fill in the values for the years"
7010 PRINT "before and after the change.": RETURN
7020 PRINT
7030 PRINT "For example, if you had entered a loan interest rate for the first year as"
7040 PRINT "as 11.5 percent, but because it was an adjustable rate loan, you expected "
7050 PRINT "it to change to 13% after 3 years, you would enter . . ."
7060 PRINT
7070 PRINT "YEAR--> 4"
7080 PRINT "INTEREST RATE--> 13"
7090 PRINT "YEAR--> Q"
7100 PRINT
7110 PRINT
7120 PRINT "You can change the interest rate as many times as you wish by entering"
7130 PRINT "different `YEARs' and the appropriate values.  End the input by typing Q"
7140 PRINT "at any `YEAR' prompt.": RETURN
7150 PRINT "INCOME TAX BRACKET HELP": RETURN
7160 PRINT
7170 PRINT "Your `CURRENT INCOME TAX BRACKET' refers to your estimated income tax bracket"
7180 PRINT "during the first year of the loan.": RETURN
7190 PRINT
7200 PRINT "Your `tax bracket' is the percentage that you would be taxed on any additional"
7210 PRINT "income that you make over your current income.  If you do not know your"
7220 PRINT "estimated tax bracket, refer to MORTCOST.DOC on how to determine what it is.": RETURN
7230 PRINT
7240 PRINT "If you do not want to use tax benefits in your cost comparison at this time,"
7250 PRINT "you can enter Q, and this section will be skipped.": RETURN
7260 PRINT
7270 PRINT "For example, if you had originally entered your tax bracket as 28%, but"
7280 PRINT "you anticipate it will rise to 33% after 8 years, then enter..."
7290 PRINT
7300 PRINT "YEAR--> 9"
7310 PRINT "TAX BRACKET--> 33"
7320 PRINT "YEAR--> Q": RETURN
7330 PRINT "ORIGINATION LOAN POINTS HELP"
7340 PRINT
7350 PRINT "Origination points are those that are paid on a new home purchase or to pay"
7360 PRINT "for remodeling.  They are fully tax deductible in the first year of the loan.": RETURN
7370 PRINT
7380 PRINT "Points are separate, tax deductible interest charges that are often charged"
7390 PRINT "by the lending institution to offset lower nominal interest rates.  They are"
7400 PRINT "entered into the program as a percentage value of the loan principal.  For"
7410 PRINT "example, if you were charged 2 1/2 points (2.5%) at the start of the loan"
7420 PRINT "you would enter . . ."
7430 PRINT
7440 PRINT "YEAR--> 1"
7450 PRINT "POINTS--> 2.5"
7460 PRINT "YEAR--> Q": RETURN
7470 PRINT "REFINANCE LOAN POINTS HELP"
7480 PRINT
7490 PRINT "Refinance points are those paid when you change to a different mortgage,"
7500 PRINT "perhaps to take advantage of a lower interest rate, but you have not purchased"
7510 PRINT "a new home or made improvements.  The income tax deduction must be spread"
7520 PRINT "over the entire length of the loan.": RETURN
7530 PRINT "DIRECT COST HELP"
7540 PRINT
7550 PRINT "Direct costs are other costs that you will pay, that are not part of interest"
7560 PRINT "or points.  Unlike interest, they are usually not tax deductible.  Examples"
7570 PRINT "include attorney's fees, title searches, title insurance, fees for deeds,"
7580 PRINT "and termite inspections."
7590 PRINT
7600 PRINT "Input direct costs as the actual dollar amount in the year that they will be"
7610 PRINT "paid.  For example, if non-deductible closing costs for a new loan totaled"
7620 PRINT "$450.00, then you would enter as follows . . ."
7630 PRINT
7640 PRINT "YEAR--> 1"
7650 PRINT "DIRECT LOAN COSTS-->  $450"
7660 PRINT "YEAR--> Q": RETURN
7670 PRINT "INFLATION HELP"
7680 PRINT
7690 PRINT "MORTCOST is will calculate the costs of the loan in current dollars if you"
7700 PRINT "provide it with your estimate of what you think the future rate of inflation"
7710 PRINT "will be.  MORTCOST.DOC explains how to use this information.": RETURN
7720 PRINT
7730 PRINT "For example, if you expected the inflation rate to change at the start of"
7740 PRINT "the fifth year of the loan to 7%, you would enter . . ."
7750 PRINT
7760 PRINT "YEAR--> 5"
7770 PRINT "INFLATION RATE--> 7"
7780 PRINT "YEAR--> Q": RETURN
7790 PRINT "MENU HELP"
7800 PRINT
7810 PRINT "The menu allows you to look at all of the inputs that you have entered, and"
7820 PRINT "change them, either to correct errors, or to try different entries, keeping"
7830 PRINT "other factors constant."
7840 PRINT
7850 PRINT "Typing a number from 1-8 will display the current value of the input"
7860 PRINT "variables.  To change any value, type the letter C, followed by the number"
7870 PRINT "of the input, and you will be led through the same data entry screen that"
7880 PRINT "was used when you started the program."
7890 PRINT
7900 PRINT "Typing P or T causes the program to run the loan analysis and send the results"
7910 PRINT "to the printer or terminal respectively.  If you use the printer, you will be"
7920 PRINT "prompted for a title that will print on your output results."
7930 PRINT
7940 PRINT "X exits the program.  Data that are being held in memory will be lost.": RETURN
7950 FOR ILIN = 1 TO 3: PRINT : NEXT ILIN: RETURN
7960 END

8000 'This is the printer not ready error handler.
8002 PRINT
8004 PRINT
8010 PRINT "Check your printer, it may not be ready."
8012 PRINT
8014 GOSUB 6560
8020 RESUME 2770

